Bug 293207 - JJ: Add "Join Chat Room" button to the presence applet
Summary: JJ: Add "Join Chat Room" button to the presence applet
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: presence-applet (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR wishlist
Target Milestone: Future
Assignee: Othmane Moustaouda
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-02-03 13:50 UTC by Daniele E. Domenichelli
Modified: 2013-03-05 20:43 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-02-03 13:50:35 UTC
+++ This bug was initially created as a clone of Bug #292882 +++

Looking at kopete tray icon right click menu [1], makes me think that the presence applet could be a lot more useful

Some features that in my opinion should be added:

1) Add Contact
2) Join Group Chat


We could also (even if I'm not really sure about this) add a sub menu for each account to set the status and more.

[1]http://wstaw.org/m/2012/01/30/snapshot45.png

----

If you want to join a chat room it might not have sense to start the contact list, same for adding a contact (for example, I receive an e-mail with a contact that I just want to add, but I'm not interested in chatting with him right now).
Comment 1 Daniele E. Domenichelli 2012-03-19 17:24:38 UTC
Marking as a junior job since this can be easily done, we just need to move  the join chatroom dialog in ktp-common-internals/Widgets and then use it in contact list and in the presence applet...
Comment 2 Othmane Moustaouda 2012-04-04 18:53:24 UTC
I've just started working on this.
But I can't figure how to assign the bug to myself (not allowed?)
Comment 3 Daniele E. Domenichelli 2012-04-04 19:15:47 UTC
Assigning to Othmane
Comment 4 Martin Klapetek 2012-08-03 10:05:24 UTC
Othmane, any updates on this? Are you still working on it?
Comment 5 Othmane Moustaouda 2012-08-14 07:36:01 UTC
I did a patch split in 3 parts because it touch 3 different repos:
first part is on https://git.reviewboard.kde.org/r/104533/
in review n.104534 and n.104535 are located the other parts, but due to lack of time in these last months I didn't merged it to master and it has been forgotten: in next days I'll sync my local copy and update the patch!
Comment 6 Martin Klapetek 2012-09-08 21:45:49 UTC
Implemented by Othmane, committed by David in e142ce980c487fe0209495f3dba93820d88dfc0c.